Subject: Re: [spfbis] Section 9 of draft-ietf-spfbis-4408bis-06

From: Arthur Thisell <[email-masked]>
Date: Sat, 8 Sep 2012 07:34:40 -0700 (PDT)

> I see three possible fates for Section 9:
> 
> 1.  Keep it in 4408bis.  This is the most direct logical extension of RFC 4408 
> and in keeping with what I view as the spirit of our charter (minimal diff to 
> get out of experimental and onto the standards track).  It is certainly 
consistent with the charter.  It does however bring a fair amount of "How to" 
> type of text into a standards track RFC that is better suited to a BCP.  This 
> may make IETF last call and IESG approval harder and risks getting directed to 
> rework it later.

I recently re-listened to IETF 83's SPFBIS session.   I got the feeling that our ADs and the IESG would be much more forgiving of RFC4408bis not being up to current standards of quality if we made the absolute minimum number of changes and a response of "well, we left that part unchanged from RFC4408" would be accepted.  In particular, Pete Resnick seemed leary about removing type 99 SPF records and said that we needed to document our justifications for making any change.  That the deal with the IESG was that only minimal changes to RFC4408 would be made.

If, however, we start rewriting large portions of RFC4408 to bring it up to scratch, I suspect the IESG will want to know why we didn't bring all of the document up to scratch.

I'm not an expert at how to get an I-D turned into an RFC and I don't want to read too much into what Pete said one time on one subject, so I'm putting this out much more as a question than as a statement.

Would we actually have an easier time if we made very few changes?